import { type ApplicationRef, type Type } from '@angular/core';
export declare class ClientRenderer {
    private component;
    private initialProps;
    appRef: ApplicationRef | undefined;
    private componentRef;
    private mirror;
    private readonly knownInputs;
    private readonly knownOutputs;
    private readonly outputHandlers;
    private readonly onDestroy$;
    private initialized;
    constructor(component: Type<unknown>, initialProps: Record<string, unknown>);
    render(hostElement: Element, slot: Element | undefined, props?: Record<string, unknown>): Promise<void>;
    setInputProps(props: Record<string, unknown>, skipInitCheck?: boolean): void;
    private _subscribeToEvents;
    private loadZoneJs;
}
